Bug 28671 - AD-Connector nutzt UDM-Syntax-Overwrite aus UCR-Variablen nicht
AD-Connector nutzt UDM-Syntax-Overwrite aus UCR-Variablen nicht
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Users
UCS 3.0
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Felix Botner
Stefan Gohmann
: interim-4
Depends on: 21032 23975
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 15:09 CEST by Philipp Hahn
Modified: 2013-11-19 06:43 CET (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2012-09-28 15:09:47 CEST
+++ This bug was initially created as a clone of Bug #23975 +++

Ursache ist die Methode set_uid_umlauts in users/user.py. Die sollte aus meiner
Sicht entfernt werden.

Das Entfernen war nicht vollständig, was u.a. bei Bug #28627 zu Problemen führt.

$ git grep -n '\.set_uid_umlauts\>'
management/univention-directory-manager-modules/modules/univention/admin/handlers/users/user.py:1346:                                   self.set_uid_umlauts()
Comment 1 Felix Botner univentionstaff 2013-06-07 13:55:39 CEST
set_uid_umlauts block in users/user.py has been removed.
Comment 2 Stefan Gohmann univentionstaff 2013-11-13 17:22:05 CET
OK
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:43:19 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".